<? session_start(); ?>
<div align="left">
<?php
include("connecting.php");


function deletefromarchive($number) {

$query[$number] = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_COOKIE[user]}' LIMIT 1");

while($slet = mysql_fetch_array($query[$number])) {

if ($_COOKIE[pass] == $slet[kode]) {

 if ($slet[admin] == 1) {

	if ($slet[exist] == 1) {

print "&nbsp;-&nbsp;<a style=\"border:0px;\" href=\"?site=Adminartikler&amp;choose=delete&amp;delid=".$number."\" title=\"Slet fra arkivet\"><img src=\"../gfx/slet.jpg\" alt=\"Slet!\" /></a>";

	}
 }
}
}

}


function editfromarchive($number) {

$query[$number] = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_COOKIE[user]}' LIMIT 1");

while($slet = mysql_fetch_array($query[$number])) {

if ($_COOKIE[pass] == $slet[kode]) {

 if ($slet[admin] == 1) {

	if ($slet[exist] == 1) {

print "&nbsp;-&nbsp;<a style=\"border:0px;\" href=\"?site=Adminartikler&amp;ret=true&amp;id=".$number."\" title=\"Ret artikel\"><img src=\"../gfx/ret.jpg\" alt=\"Ret!\" /></a>";

	}
 }
}
}

}



if (isset($_GET[artikelid])) {

$db_artiklen = mysql_query("SELECT * FROM `pytox_artikler` WHERE `id` LIKE '{$_GET[artikelid]}' AND `show` LIKE '1' LIMIT 1")or die(mysql_error());

while($db_artikel = mysql_fetch_array($db_artiklen)) {

if ($_GET['highlight'] != "") {
$overskrift = str_replace($_GET['highlight'], "<span class=\"highlight\">".$_GET['highlight']."</span>", $db_artikel['overskrift']);
$brodtekst = str_replace($_GET['highlight'], "<span class=\"highlight\">".$_GET['highlight']."</span>", $db_artikel['brodtekst']);
$artikel = str_replace($_GET['highlight'], "<span class=\"highlight\">".$_GET['highlight']."</span>", $db_artikel['artikel']);

$overskrift = str_replace(ucwords($_GET['highlight']), "<span class=\"highlight\">".ucwords($_GET['highlight'])."</span>", $overskrift);
$brodtekst = str_replace(ucwords($_GET['highlight']), "<span class=\"highlight\">".ucwords($_GET['highlight'])."</span>", $brodtekst);
$artikel = str_replace(ucwords($_GET['highlight']), "<span class=\"highlight\">".ucwords($_GET['highlight'])."</span>", $artikel);

$overskrift = str_replace(strtolower($_GET['highlight']), "<span class=\"highlight\">".strtolower($_GET['highlight'])."</span>", $overskrift);
$brodtekst = str_replace(strtolower($_GET['highlight']), "<span class=\"highlight\">".strtolower($_GET['highlight'])."</span>", $brodtekst);
$artikel = str_replace(strtolower($_GET['highlight']), "<span class=\"highlight\">".strtolower($_GET['highlight'])."</span>", $artikel);

$overskrift = str_replace(strtoupper($_GET['highlight']), "<span class=\"highlight\">".strtoupper($_GET['highlight'])."</span>", $overskrift);
$brodtekst = str_replace(strtoupper($_GET['highlight']), "<span class=\"highlight\">".strtoupper($_GET['highlight'])."</span>", $brodtekst);
$artikel = str_replace(strtoupper($_GET['highlight']), "<span class=\"highlight\">".strtoupper($_GET['highlight'])."</span>", $artikel);


//print "Stadium 1";
} else {
$overskrift = $db_artikel['overskrift'];
$brodtekst = $db_artikel['brodtekst'];
$artikel = $db_artikel['artikel'];
//print "Stadium 2";
}

//if ($_COOKIE['user'] == "BASF") {
?>
<a href="#kommentarer">Gå til kommentarerne</a>
<?php
//}

?>
<br />
<a href="?site=Artikler">Tilbage til artikel-oversigten</a>
<br />
<?php
if ($_GET['highlight'] != "") {
print "Føglende ord bliver <span class=\"highlight\">fremhævet</span>: ".$_GET['highlight']."<br /><br />";
}
?>
<strong><?php print $overskrift; ?></strong><?php deletefromarchive($db_artikel[id]);?><?php editfromarchive($db_artikel[id]);?> - <a href="print.php?site=Artikler&amp;artikelid=<?=$_GET['artikelid']?>" title="Printervenlig version">Printervenlig version</a>
<br />
<i><?php print $brodtekst; ?></i>
<br />
<br />
<?php print $artikel; ?>
<br />
<br />
Skrevet den <?php print $db_artikel[time];?> af <?php
$forfiid = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$db_artikel[forfatter]}' LIMIT 1");

while ($forfatterid = mysql_fetch_array($forfiid)) {
?>
<i><a href="?site=Com.user&amp;userid=<?=$forfatterid[id]?>"><?php print $db_artikel[forfatter]; ?></a></i>
<?php
}
?>
<br />
<div id="kommentarer">
<?php
////////////////////////////////
////////////////////////////////
////////////////////////////////


//if ($_COOKIE['user'] == "BASF") {

$while_onlogged = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_COOKIE[user]}' ORDER BY `id` ASC") or die(print "Du skal være logget ind, før du kan kommentere artiklen!");

if (mysql_num_rows($while_onlogged) == 0) {

print "Du skal være logget ind, før du kan kommentere artiklen! (Informationskode: 64797)";

/////////////////////

$userrights_comment_del = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_COOKIE['user']}' LIMIT 1") or die(mysql_error());

while ($theserights_del = mysql_fetch_array($userrights_comment_del)) {

	if ($theserights_del['admin'] == "1" || $theserights_del['admin'] == "3") {

if (isset($_GET['commentid'])) {

$get_del_comm  = mysql_query("SELECT * FROM `pytox_comment` WHERE `id` LIKE '{$_GET['commentid']}' LIMIT 1") or die(mysql_error());

if (mysql_num_rows($get_del_comm) == 0) {
print "<br /><br />Kommentaren blev ikke loadet korrekt! (Fejlkode: 45497)<br /><br />";
} else {

mysql_query("DELETE FROM `pytox_comment` WHERE `id` LIKE '{$_GET['commentid']}' LIMIT 1") or die(mysql_error());

$go_to = "Location: ?site=Artikler&artikelid=".$_GET['artikelid']."&result=fine#kommentarer";

header($go_to);

}
}
}
}

///////////////////////

} else {

while($admin = mysql_fetch_array($while_onlogged)) {

if ($_COOKIE["pass"] != $admin["kode"]) {
print "Du skal være logget ind, før du kan kommentere artiklen! (Informartionskode: 46487)";


/////////////////////

$userrights_comment_del = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_COOKIE['user']}' LIMIT 1") or die(mysql_error());

while ($theserights_del = mysql_fetch_array($userrights_comment_del)) {

	if ($theserights_del['admin'] == "1" || $theserights_del['admin'] == "3") {

if (isset($_GET['commentid'])) {

$get_del_comm  = mysql_query("SELECT * FROM `pytox_comment` WHERE `id` LIKE '{$_GET['commentid']}' LIMIT 1") or die(mysql_error());

if (mysql_num_rows($get_del_comm) == 0) {
print "<br /><br />Kommentaren blev ikke loadet korrekt! (Fejlkode: 45497)<br /><br />";
} else {

mysql_query("DELETE FROM `pytox_comment` WHERE `id` LIKE '{$_GET['commentid']}' LIMIT 1") or die(mysql_error());

$go_to = "Location: ?site=Artikler&artikelid=".$_GET['artikelid']."&result=fine#kommentarer";

header($go_to);

}
}
}
}

///////////////////////


} else {

	if ($admin["exist"] != "1") {
print "Din bruger er deaktiveret, og du kan dermed ikke kommentere artiklen!";
	} else {

?>
<hr />
<?php


if ($_GET['newcomment'] == "true") {
 if ($_POST['comment'] == "") {
print "<span style=\"color:#F00;\">Du mangler at skrive en kommentar!</span>";
 } else {

if ($_POST['validate'] == $_SESSION['tjekcode']) {

$this_usern = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_COOKIE['user']}' LIMIT 1") or die(mysql_error());

while ($useridet = mysql_fetch_array($this_usern)) {

$replace["comment"] = str_replace("Ø", "&Oslash;", $_POST["comment"]);
$replace["comment"] = str_replace("ø", "&oslash;", $replace["comment"]);
$replace["comment"] = str_replace("Å", "&Aring;", $replace["comment"]);
$replace["comment"] = str_replace("å", "&aring;", $replace["comment"]);
$replace["comment"] = str_replace("Æ", "&Aelig;", $replace["comment"]);
$replace["comment"] = str_replace("æ", "&aelig;", $replace["comment"]);

//mysql_query("INSERT INTO `pytox_comment` (`id`, `time`, `articleid`, `userid`, `comment`) VALUES ('', '{$tid}', '{$db_artikel['id']}', '{$useridet['id']}', '{$replace['comment']}')") or die(mysql_error());

$result = mysql_query("INSERT INTO `pytox_comment` (`id`, `time`, `articleid`, `userid`, `comment`) VALUES ('', '{$tid}', '{$db_artikel['id']}', '{$useridet['id']}', '{$replace['comment']}')") or die(mysql_error());

if ($result == 1) {
print "<span style=\"color:#0E3;\">Kommentaren blev oprettet uden problemer!</span>";
$post = "";
} else {
print "<span style=\"color:#F00;\">Der opstod en fejl! (Fejlkode: 12390)</span>";
$post = $_POST['comment'];
}

}

} else {
print "<span style=\"color:#F00;\">Valideringskoden stemmer ikke overens med vores!</span>";
$post = $_POST['comment'];
}

 }
}

$get_number_of_comments = mysql_query("SELECT * FROM `pytox_comment` WHERE `articleid` = '{$db_artikel['id']}' ORDER BY `id` DESC") or die(mysql_error());

?>
<br />
<br />
<strong>Kommentarer (<?=mysql_num_rows($get_number_of_comments)?>)</strong>
<br />
<a href="javascript:;" onClick="goShow('commentaryform')">Vis/skjul kommentar-formlen</a>
<br />
<div id="commentaryform" style="display:none;">
<form action="?site=Artikler&amp;artikelid=<?=$_GET['artikelid']?>&amp;newcomment=true" method="post">
<strong>Kommentar-formel</strong>
<br />
Brugernavn: <input type="text" name="username" value="<?=$_COOKIE['user']?>" disabled="disabled" />
<br />
Kommentar:
<br />
<textarea name="comment" cols="35" rows="5"><?=$post?></textarea>
<br />

<!-- VALIDATE! -->
<?php
$kode[1] = mt_rand(99999, 0);
$kode[2] = mt_rand(99999, 0);
$kode[3] = mt_rand(99999, 0);

if (strlen($kode[1]) == 5) {
$sikkerhedskode = $kode[1];

} else if (strlen($kode[2]) == 5) {
$sikkerhedskode = $kode[2];

} else if (strlen($kode[3]) == 5) {
$sikkerhedskode = $kode[3];

} else {
$sikkerhedskode = "ERROR!";

}

if ($_GET["func"] == "" && $_GET["new"] == "") {
							if ($sikkerhedskode == "ERROR!") {
$_SEESION[tjekcode] = "1615165151561561651651";
							} else {
$_SESSION[tjekcode] = $sikkerhedskode;
							}
} else {
$_SESSION[tjekcode] = "";
}
?>
<strong>Valideringskode:</strong>
<br />
<?php
if ($sikkerhedskode == "ERROR!") {
print "DER SKETE EN FEJL! \"ERROR!\" ER IKKE EN GYLDIG SIKKERHEDSKODE. Opdater eller prøv igen senere.<br />";
}
?>
<img class="blackborder" src="../../img.php?text=<?php print $sikkerhedskode; ?>" alt="Loading..." title="<?php print $sikkerhedskode; ?>" align="middle" /> = <input type="text" maxlength="5" name="validate" />
<!-- VALIDATE -->
<br />
<br />
<input type="submit" value="Opret kommentar" class="submit" name="submit" />
</form>
</div>
<br />
<?php
/////////////////////

$userrights_comment_del = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_COOKIE['user']}' LIMIT 1") or die(mysql_error());

while ($theserights_del = mysql_fetch_array($userrights_comment_del)) {

	if ($theserights_del['admin'] == "1" || $theserights_del['admin'] == "3") {

if (isset($_GET['commentid'])) {

$get_del_comm  = mysql_query("SELECT * FROM `pytox_comment` WHERE `id` LIKE '{$_GET['commentid']}' LIMIT 1") or die(mysql_error());

if (mysql_num_rows($get_del_comm) == 0) {
print "<br /><br />Kommentaren blev ikke loadet korrekt! (Fejlkode: 45497)<br /><br />";
} else {

mysql_query("DELETE FROM `pytox_comment` WHERE `id` LIKE '{$_GET['commentid']}' LIMIT 1") or die(mysql_error());

$go_to = "Location: ?site=Artikler&artikelid=".$_GET['artikelid']."&result=fine#kommentarer";

header($go_to);

}
}
}
}

///////////////////////
?>
<br />
<?php
if ($_GET['result'] == "fine") {
print "Kommentaren blev slettet!";
}
?>
<br />
<br />
<?php

///////////////////////////////
///////////////////////////////

$kommentarer = mysql_query("SELECT * FROM `pytox_comment` WHERE `articleid` = '{$db_artikel['id']}' ORDER BY `id` DESC") or die(mysql_error());


	if (mysql_num_rows($kommentarer) == 0) {
print "Der er i øjeblikket ingen kommentarer til denne artikel..";
	} else {

while ($comment = mysql_fetch_array($kommentarer)) {

$commentuser = mysql_query("SELECT * FROM `pytox_community` WHERE `id` LIKE '{$comment['userid']}' LIMIT 1") or die(mysql_error());

while ($commuser = mysql_fetch_array($commentuser)) {
?>
<div class="tag">
<?=$comment['comment']?>
<br />
<br />
<a style="font-weight:bold;" href="?site=Com.users&amp;userid=<?=$commuser['id']?>"><?=$commuser['bruger']?></a> - <i><?=$comment['time']?></i>
<?php
$userrights_comment = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_COOKIE['user']}' LIMIT 1") or die(mysql_error());

while ($theserights = mysql_fetch_array($userrights_comment)) {

	if ($theserights['admin'] == "1" || $theserights['admin'] == "3") {

?>
<br />
<a href="?site=Artikler&amp;artikelid=<?=$_GET['artikelid']?>&amp;commentid=<?=$comment['id']?>">Slet kommentar</a>
<?php
	}

}
?>
</div>
<br />
<?php
}
}

	}
///////////////////////////////
///////////////////////////////


}
//}
}
}
}
}
?>
<br />
<br />
</div>
<?php
///////////////////////////////
///////////////////////////////
///////////////////////////////

} else if ($_GET[archive] == "true") {
?>
<strong>Du ser nu alle artiklerne</strong> - <a href="?site=Artikler">Vis første 5</a>
<br />
<br />
<?php


while($artikler = mysql_fetch_array($all_artikler)) {

?>
<strong><?php print $artikler[overskrift]; ?> - <?php print $artikler[time];?></strong><?php deletefromarchive($artikler[id]);?><?php editfromarchive($artikler[id]);?>
<br />
<?php print $artikler[brodtekst];?>
<br />
<i><a href="?site=Artikler&amp;artikelid=<?php print $artikler[id]; ?>">Læs mere</a></i>
<br />
<br />
<?php
$forfaiid = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$artikler[forfatter]}' LIMIT 1");

while ($forfaid = mysql_fetch_array($forfaiid)) {
?>
<i><a href="?site=Com.user&amp;userid=<?php print $forfaid[id]; ?>"><?php print $artikler[forfatter]; ?></a></i>
<?php
}
?>
<br />
<br />
<?php
}


} else {
?>
<strong>Du ser nu de første 5 artikler</strong> - <a href="?site=Artikler&archive=true">Vis alle</a>
<br />
<br />
<?php

while($db_artikel = mysql_fetch_array($db_artikler)) {

?>
<strong><?php print $db_artikel[overskrift]; ?> - <?php print $db_artikel[time]; ?></strong><?php deletefromarchive($db_artikel[id]);?><?php editfromarchive($db_artikel[id]);?>
<br />
<?php print $db_artikel[brodtekst]; ?>
<br />
<i><a href="?site=Artikler&amp;artikelid=<?php print $db_artikel[id]; ?>">Læs mere</a></i>
<br />
<br />
<?php
$iiid = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$db_artikel[forfatter]}' LIMIT 1");

while ($iiiid = mysql_fetch_array($iiid)) {
?>
<i><a href="?site=Com.user&amp;userid=<?php print $iiiid[id]; ?>"><?php print $db_artikel[forfatter]; ?></a></i>
<?php
}
?>
<br />
<br />
<?php
}

}
?>
</div>